Bug 3584 - RFE: Finish adding more support for RPMs to Makefile
RFE: Finish adding more support for RPMs to Makefile
Status: RESOLVED NOTOURBUG
Product: openclipart.org
Classification: Unclassified
Component: clipart
unspecified
x86 (IA32) Linux (All)
: high normal
Assigned To: Jon Phillips
http://openclipart.org
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-06-21 00:32 UTC by Jon Phillips
Modified: 2010-08-18 03:24 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
The current clipart_package module...most everything you need to build clipart packages (251.05 KB, application/x-gzip)
2005-08-21 21:06 UTC, Jon Phillips
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jon Phillips 2005-06-21 00:32:32 UTC
There should be a basic Makefile that is released along with the packages to
provide a way to quickly install the clip art to the default path for clip art
on a *nix system.
Comment 1 Jon Phillips 2005-08-21 18:58:15 UTC
Added cvs module: clipart_package which does this and much much more! Just need
to add/fix openclipart.spec.in so that it does the full rpm build and then I
think that makefile system is solid.
Comment 2 Jon Phillips 2005-08-21 19:03:56 UTC
To test current rpm directive, run:

    make rpm

Basically, openclipart.spec.in is processed in distprep, which is called through
the chain to getting to make rpm. Then in turn, the idea is for rpmbuild to
process openclipart.spec (which is output from the distprep directive).

Comment 3 Jon Phillips 2005-08-21 19:07:08 UTC
http://openclipart.org/cgi-bin/wiki.pl?ReleaseProcedure needs to be updated with
the new procedure.
Comment 4 Jon Phillips 2005-08-21 21:06:34 UTC
Created attachment 2973 [details]
The current clipart_package module...most everything you need to build clipart packages

This is pretty much everything as of 2005-08-21 in the clipart_package.
Uncompress it and have a go! Submit any patches here, or just work via the CVS
module clipart_package if you have access.

Also, the clipart folder has dummy content in it currently. That content will
be replaced by the real clip art at the end of the month.
Comment 5 Jon Phillips 2005-08-22 11:02:29 UTC
I merged Paul Howarths changes, but he had these comments:

Here's a first stab at it (see attached openclipart.spec.in and Makefile).

Once the tools get into a shape where they can be distributed and 
installed properly using "make install", "make dist" etc., I would 
advocate splitting the RPM along these lines:

* a single SRPM containing the "full" bzip tarball. It would be even 
better if the multiple image formats could be generated using "make" 
from one or two input formats (e.g. make PNGs from SVGs plus text 
files). I don't know if this is possible or not. If it is, a source 
distribution containing just the minimum needed content would be better, 
and have the rest built using "make". Full "binary" distributions could 
also be built for people not wanting to do that themselves, but the RPM 
would not use those.

* an openclipart-svg RPM containing just the SVG images

* an openclipart-extraformats RPM containing the other data and with a 
dependency on openclipart-svg

* an openclipart-tools package

The first two of these could be relocatable.
Comment 6 Jon Phillips 2005-08-24 12:33:58 UTC
The SRPM probably does not need the .png files, nor the .txt metadata
summary for each image.  Those things ultimately derive from the .svg
files and can be generated from them.  However, the tools package is
needed to do said generating.

Also it is noteworthy that the tools package has some dependencies,
that probably ought to be specified.  Among them...

* Inkscape (used for generating the thumbnails)
* Perl Modules from the CPAN:
  * SVG::Metadata (most of the tools need this one)
  * File::Spec::Functions
  * DateTime
Comment 7 Jon Phillips 2006-09-07 16:11:16 UTC
Yeah, we still need this...need to figure out how to hook in our packaging into
cchost.
Comment 8 Tollef Fog Heen 2010-08-18 03:24:18 UTC
Closing all openclipart bugs as openclipart is now on launchpad, as per request from  Jon Philips.